apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: new
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://gitlab.com/sayan.mondal2/sayan.git
    path: .
    targetRevision: main
    helm:
      valueFiles:
        - values.yaml
        # - \test\local-values.yaml
    repoURL: https://gitlab.com/sayan.mondal2/sayan.git
    path: .
    targetRevision: main
    helm:
      valueFiles:
        - local-values.yaml
  destination:
    server: https://kubernetes.default.svc
    namespace: test1
  syncPolicy:
    syncOptions:
    - CreateNamespace=true
    automated:
      selfHeal: true
      prune: true
